"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createMiddleware;
function createMiddleware(logrocket) {
  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var reduxMiddleware = logrocket.reduxMiddleware(opts);

  return function (reducer) {
    var currentState = void 0;
    var fakeDispatch = reduxMiddleware({
      getState: function getState() {
        return currentState;
      }
    })(function () {});

    return function (state, action) {
      var newState = reducer(state, action);
      currentState = state;
      fakeDispatch(action);
      return newState;
    };
  };
}
module.exports = exports["default"];